Rivet: Unbound functions for filtering particles

| Rivet 3.1.9

Functions
Unbound functions for filtering particles
Functions for Particles

## Functions
Particles & | Rivet::ifilter_select (Particles &particles, const Cut &c)
| Filter a particle collection in-place to the subset that passes the supplied Cut.
Particles & | Rivet::ifilterBy (Particles &particles, const Cut &c)
Particles & | Rivet::iselect (Particles &particles, const Cut &c)
| New alias for ifilter_select.
Particles | Rivet::filter_select (const Particles &particles, const Cut &c)
| Filter a particle collection in-place to the subset that passes the supplied Cut.
Particles | Rivet::filterBy (const Particles &particles, const Cut &c)
Particles | Rivet::select (const Particles &particles, const Cut &c)
| New alias for ifilter_select.
Particles | Rivet::filter_select (const Particles &particles, const Cut &c, Particles &out)
| Filter a particle collection in-place to the subset that passes the supplied Cut.
Particles | Rivet::filterBy (const Particles &particles, const Cut &c, Particles &out)
Particles | Rivet::select (const Particles &particles, const Cut &c, Particles &out)
| New alias for ifilter_select.
Particles & | Rivet::ifilter_discard (Particles &particles, const Cut &c)
| Filter a particle collection in-place to the subset that fails the supplied Cut.
Particles & | Rivet::idiscard (Particles &particles, const Cut &c)
| New alias for ifilter_discard.
Particles | Rivet::filter_discard (const Particles &particles, const Cut &c)
| Filter a particle collection in-place to the subset that fails the supplied Cut.
Particles | Rivet::discard (const Particles &particles, const Cut &c)
| New alias for filter_discard.
Particles | Rivet::filter_discard (const Particles &particles, const Cut &c, Particles &out)
| Filter a particle collection in-place to the subset that fails the supplied Cut.
Particles | Rivet::discard (const Particles &particles, const Cut &c, Particles &out)
| New alias for filter_discard.

## Detailed Description

## Function Documentation

## ◆ filterBy() [1/2]

Particles Rivet::filterBy | ( | const Particles & | particles,
|  | const Cut & | c
| ) |  |
| inline

Alias for ifilter_select

Deprecated:
  Use filter_select

References Rivet::filter_select().

## ◆ filterBy() [2/2]

Particles Rivet::filterBy | ( | const Particles & | particles,
|  | const Cut & | c,
|  | Particles & | out
| ) |  |
| inline

Alias for ifilter_select

Deprecated:
  Use filter_select

References Rivet::filter_select().

## ◆ ifilterBy()

Particles & Rivet::ifilterBy | ( | Particles & | particles,
|  | const Cut & | c
| ) |  |
| inline

Alias for ifilter_select

Deprecated:
  Use ifilter_select

References Rivet::ifilter_select().